<TeXmacs|1.0.0.5>

<style|<tuple|article|maxima>>

<\body>
  \;

  \;

  \;

  <\expand|make-title>
    <title|Introduction  <strong|Maxima>>

    <author|Marc GILG>

    <address|Lug 68> <format|new line><hlink|http://lug68.free.fr|>

    <expand|title-date|<date|>>
  </expand>

  <\with|paragraph mode|center>
    Version 0.1.3
  </with>

  <\abstract>
    \;
  </abstract>

  Ce document prsente en quelques pages le logiciel de calcul formel
  <strong|Maxima. >Son but est de donner quelques fonctions pour pouvoir
  utiliser <strong|Maxima> rapidement. Par consquent, il est incomplet et
  n'aborde pas l'aspect programmation.

  <section|Introduction>

  <subsection|Fonctionnalits>

  Le programme <strong|Maxima> est un logiciel permettant de :

  <\expand|itemize-dot>
    <item>faire du calcul numrique  n'importe quel prcision
  </expand>

  <\expand|itemize-dot>
    <item>faire du calcul symbolique\ 

    <item>faire du calcul matriciel

    <item>Tracer des courbes et des surfaces

    <item>programmer ses tches de calcul
  </expand>

  C'est un logiciel libre sous licence GPL que l'on peut charger  l'adresse
  suivante :

  <hlink|http://www.ma.utexas.edu/maxima.html|>\ 

  Si vous utilisez Linux Mandrake ou RedHat, alors je vous conseille
  d'installer le package <strong|rmp> qu'on peut trouver  l'adresse suivante
  :

  <hlink|http://fr.rpmfind.net|http://fr.rpmfind.net>

  \;

  <subsection|Excution de Maxima.>

  On peut excuter <strong|Maxima> d'au moins 3 manires diffrentes :

  <\enumerate>
    <item>Dans un terminal texte en tapant <verbatim|maxima>

    <item>Dans Xwindows en tapant la commande <verbatim|xmaxima>

    <item>Dans l'diteur TeXmacs par le menu
    <verbatim|Insrer\<gtr\>session\<gtr\>maxima>
  </enumerate>

  Voici un aperu de <strong|<verbatim|xmaxima>> :

  \;

  <\with|paragraph mode|center>
    <postscript|xmaxima.eps|13cm|10cm||||>
  </with>

  <\with|paragraph mode|left>
    <inactive|>

    <\with|paragraph mode|left>
      Dans ce document, crit avec TeXmacs, nous allons utiliser des sessions
      maxima :
    </with>
  </with>

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
      Schelter).

      Licensed under the GNU Public License (see file COPYING)

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      quit();
    </input>

    <\output>
      <\with|color|red>
        The end<with|color|black|>
      </with>
    </output>

    \;
  </session>

  Pour quitter la session, cliquer sur l'icne <postscript|cis.ps||||||> puis
  cliquer sous le texte de la session <strong|Maxima>  l'endroit du nouveau
  paragraphe.

  <section|Gnralits>

  <subsection|Obtenir de l'aide.>

  La fonction <verbatim|describe("<em|function>")> permet d'obtenir une
  description de <em|function>. Cette fonction pose quelques problmes si on
  l'utilise via TeXmacs.\ 

  \;

  La fonction <verbatim|example(<em|function>)> donne des exemples
  d'utilisation d'une fonction :

  <\example>
    \;
  </example>

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
      Schelter).

      Licensed under the GNU Public License (see file COPYING)

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      example(log);
    </input>

    <\output>
      Not Found. \ You can look at:

      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D1) <with|color|black|>><left|[><with|math font
        family|rm|FUNCTIONS>,<with|math font family|rm|ARRAYS>,<with|math
        font family|rm|LAMBDA>,<with|math font family|rm|LISTS>,<with|math
        font family|rm|MATRICES>,<with|math font
        family|rm|EQUATIONS>,<with|math font family|rm|IF>,<with|math font
        family|rm|BLOCK>,<with|math font family|rm|DO>,<with|math font
        family|rm|EVALUATION>,<with|math font family|rm|EXP>,<with|math font
        family|rm|TRIG>,<with|math font family|rm|COMPLEX>,<with|math font
        family|rm|EV>,<with|math font family|rm|ZEROEQUIV>,<with|math font
        family|rm|EXPAND>,<with|math font family|rm|RATEXPAND>,<with|math
        font family|rm|RATSIMP>,<with|math font family|rm|RADCAN>,<with|math
        font family|rm|COMBINE>,<with|math font
        family|rm|MULTTHRU>,<with|math font family|rm|XTHRU>,<with|math font
        family|rm|PARTFRAC>,<with|math font family|rm|FACTOR>,<with|math font
        family|rm|FACTORSUM>,<with|math font family|rm|SQFR>,<with|math font
        family|rm|GFACTOR>,<with|math font family|rm|PARTITION>,<with|math
        font family|rm|LOGCONTRACT>,<with|math font
        family|rm|ROOTSCONTRACT>,<with|math font family|rm|DIFF>,<with|math
        font family|rm|DEPENDS>,<with|math font family|rm|GRADEF>,<with|math
        font family|rm|INTEGRATE>,<with|math font family|rm|RISCH>,<with|math
        font family|rm|CHANGEVAR>,<with|math font
        family|rm|SPECINT>,<with|math font family|rm|PART>,<with|math font
        family|rm|INPART>,<with|math font family|rm|NOUNIFY>,<with|math font
        family|rm|DPART>,<with|math font family|rm|SUBSTITUTE>,<with|math
        font family|rm|RATSUBST>,<with|math font
        family|rm|SUBSTPART>,<with|math font
        family|rm|SUBSTINPART>,<with|math font family|rm|ATVALUE>,<with|math
        font family|rm|AT>,<with|math font family|rm|LISTOFVARS>,<with|math
        font family|rm|COEFF>,<with|math font family|rm|RATCOEFF>,<with|math
        font family|rm|BOTHCOEFF>,<with|math font
        family|rm|ISOLATE>,<with|math font family|rm|PICKAPART>,<with|math
        font family|rm|NUMFACTOR>,<with|math font
        family|rm|DERIVDEGREE>,<with|math font family|rm|REALPART>,<with|math
        font family|rm|POLARFORM>,<with|math font
        family|rm|DELETE>,<with|math font family|rm|NROOTS>,<with|math font
        family|rm|REALROOTS>,<with|math font family|rm|ALLROOTS>,<with|math
        font family|rm|LINSOLVE>,<with|math font family|rm|ALGSYS>,<with|math
        font family|rm|SOLVE>,<with|math font
        family|rm|ENTERMATRIX>,<with|math font
        family|rm|GENMATRIX>,<with|math font
        family|rm|AUGCOEFMATRIX>,<with|math font
        family|rm|ECHELON>,<with|math font
        family|rm|TRIANGULARIZE>,<with|math font family|rm|RANK>,<with|math
        font family|rm|CHARPOLY>,<with|math font
        family|rm|DOTSCRULES>,<with|math font family|rm|"//">,<with|math font
        family|rm|RATWEIGHT>,<with|math font family|rm|HORNER>,<with|math
        font family|rm|DIVIDE>,<with|math font family|rm|CONTENT>,<with|math
        font family|rm|RESULTANT>,<with|math font
        family|rm|BEZOUT>,<with|math font
        family|rm|POLY<rsub|D>ISCRIMINANT>,<with|math font
        family|rm|RATDIFF>,<with|math font family|rm|TELLRAT>,<with|math font
        family|rm|TAYTORAT>,<with|math font family|rm|SUM>,<with|math font
        family|rm|PRODUCT>,<with|math font family|rm|LIMIT>,<with|math font
        family|rm|NUSUM>,<with|math font family|rm|FUNCSOLVE>,<with|math font
        family|rm|RESIDUE>,<with|math font family|rm|TAYLOR>,<with|math font
        family|rm|DEFTAYLOR>,<with|math font
        family|rm|POWERSERIES>,<with|math font
        family|rm|TRIGEXPAND>,<with|math font
        family|rm|TRIGREDUCE>,<with|math font family|rm|OPTIMIZE>,<with|math
        font family|rm|LAPLACE>,<with|math font family|rm|ILT>,<with|math
        font family|rm|MINFACTORIAL>,<with|math font
        family|rm|FACTCOMB>,<with|math font family|rm|QUNIT>,<with|math font
        family|rm|CF>,<with|math font family|rm|CFDISREP>,<with|math font
        family|rm|CFEXPAND>,<with|math font family|rm|FEATUREP>,<with|math
        font family|rm|MAP>,<with|math font family|rm|FULLMAP>,<with|math
        font family|rm|FULLMAPL>,<with|math font
        family|rm|SCANMAP>,<with|math font family|rm|APPEND>,<with|math font
        family|rm|REVERSE>,<with|math font family|rm|DISPLAY>,<with|math font
        family|rm|REVEAL>,<with|math font family|rm|CATCH>,<with|math font
        family|rm|ORDERLESS>,<with|math font family|rm|ORDERGREAT>,<with|math
        font family|rm|UNORDER>,<with|math font family|rm|LINEAR>,<with|math
        font family|rm|ADDITIVE>,<with|math font
        family|rm|OUTATIVE>,<with|math font
        family|rm|MULTIPLICATIVE>,<with|math font
        family|rm|LASSOCIATIVE>,<with|math font
        family|rm|RASSOCIATIVE>,<with|math font
        family|rm|COMMUTATIVE>,<with|math font
        family|rm|SYMMETRIC>,<with|math font
        family|rm|ANTISYMMETRIC>,<with|math font family|rm|NARY>,<with|math
        font family|rm|ODDFUN>,<with|math font family|rm|EVENFUN>,<with|math
        font family|rm|POSFUN>,<with|math font
        family|rm|ARRAYINFO>,<with|math font family|rm|PROPERTIES>,<with|math
        font family|rm|PRINTPROPS>,<with|math font
        family|rm|PROPVARS>,<with|math font family|rm|GET>,<with|math font
        family|rm|IS>,<with|math font family|rm|FREEOF>,<with|math font
        family|rm|MATCHDECLARE>,<with|math font
        family|rm|TELLSIMP>,<with|math font family|rm|DEFMATCH>,<with|math
        font family|rm|LET>,<with|math font family|rm|LETRULES>,<with|math
        font family|rm|POISSIMP>,<with|math font family|rm|ODE2>,<with|math
        font family|rm|SCSIMP>,<with|math font
        family|rm|ELIMINATE>,<with|math font family|rm|DESOLVE>,<with|math
        font family|rm|SYNTAX><right|]>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      Quit();
    </input>

    <\output>
      <\with|color|red>
        The end<with|color|black|>
      </with>
    </output>

    \;
  </session>

  <subsection|Principes de base.>

  \;

  <\example>
    \;
  </example>

  Voici un simple calcul :

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
      Schelter).

      Licensed under the GNU Public License (see file COPYING)

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      1+1;
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D1) <with|color|black|>>2>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      quit();
    </input>

    <\output>
      <\with|color|red>
        The end<with|color|black|>
      </with>
    </output>

    \;
  </session>

  <expand|paragraph|>On remarque que les lignes sont numrotes
  <with|mode|math|(C1)> et <with|mode|math|(D1)> .... :

  <\expand|itemize-minus>
    <item><with|mode|math|(C1), \<ldots\>., (Cn)> reprsente les lignes de
    commandes

    <item><with|mode|math|(D1),\<ldots\>.,(Dn)> reprsente les lignes de
    rsultats
  </expand>

  Cette notation permet de rappeler les commandes, il faut utiliser deux
  <verbatim|'> prcdant les numros d'une commande, par exemple
  <verbatim|''C1>.

  \;

  Pour qu'une instruction soit excute, elle doit se terminer par
  <verbatim|;> ou $, si elle se termine par $ alors le rsultat n'est pas
  affich. Pour quitter <strong|Maxima> il faut taper l'instruction
  <verbatim|QUIT();> Les fonctions ne sont pas sensibles  la case, mais les
  variables le sont.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        x :1;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>>1>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        X :0$
      </input>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        x;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>>1>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        Quit()$
      </input>

      <\output>
        <\with|color|red>
          The end<with|color|black|>
        </with>
      </output>

      \;
    </session>
  </example>

  Remarquer que l'affectation se fait par le symbole <verbatim|":".>

  <section|Arithmetique>

  Voici la faon de faire les principales oprations :

  <\with|paragraph mode|center>
    <expand|tabular*|<tformat|<twith|table bborder|1>|<cwith|1|8|1|2|cell
    lborder|2>|<cwith|8|8|2|2|cell rborder|2>|<cwith|8|8|2|2|cell
    bborder|2>|<cwith|8|8|2|2|cell tborder|2>|<cwith|1|1|1|2|cell
    lborder|0.5>|<cwith|1|1|2|2|cell rborder|0.5>|<cwith|1|1|2|2|cell
    bborder|0.5>|<cwith|1|1|2|2|cell tborder|0.5>|<table|<row|<cell|<with|fon\
    t series|bold|Opration> >|<cell|<with|font series|bold|Symbole
    Maxima>>>|<row|<cell|Addition>|<cell|+>>|<row|<cell|Soustraction>|<cell|-\
    >>|<row|<cell|Multiplication>|<cell|*>>|<row|<cell|Division>|<cell|/>>|<r\
    ow|<cell|Puissance>|<cell|^ ou **>>|<row|<cell|Multiplication
    Matriciel>|<cell|.>>|<row|<cell|Racine carre>|<cell|sqrt()>>>>>
  </with>

  \;

  <\example>
    \;

    \;
  </example>

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
      Schelter).

      Licensed under the GNU Public License (see file COPYING)

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      1/2 + 1/3;
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D1) <with|color|black|>><frac|5|6>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      132 ^ (1/2);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D2) <with|color|black|>>2*<sqrt|33>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C3) <with|color|black|>
    </with>>
      Quit();
    </input>

    <\output>
      <\with|color|red>
        The end<with|color|black|>
      </with>
    </output>

    \;
  </session>

  Remarquer que <strong|Maxima> fait des calculs exacts et qu'il simplifie
  les expressions. Pour obtenir un calcul numrique, il faut rajouter
  <verbatim|,numer> La prcision des calculs est donne par la variable
  <verbatim|fpprec> Pour que les calculs se fassent avec une grande
  prcision, il faut utiliser la fonction <verbatim|bfloat()>.

  <\example>
    \;
  </example>

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
      Schelter).

      Licensed under the GNU Public License (see file COPYING)

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      fpprec ;
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D1) <with|color|black|>>16>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      bfloat(1/234);
    </input>

    <\output>
      4.273504273504274B-3

      \;
    </output>

    <\input|<\with|color|red>
      (C3) <with|color|black|>
    </with>>
      fpprec :100;
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D3) <with|color|black|>>100>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C4) <with|color|black|>
    </with>>
      ''C2;
    </input>

    <\output>
      4.2735042735042735042735042735042735042735042735042735042735042735042

      \ 73504273504273504273504273504274B-3

      \;
    </output>

    <\input|<\with|color|red>
      (C5) <with|color|black|>
    </with>>
      Quit();
    </input>

    <\output>
      <\with|color|red>
        The end<with|color|black|>
      </with>
    </output>

    \;
  </session>

  <section|Algbre>

  <subsection|Manipulation de polynmes et de fractions rationnelles>

  Le programme <strong|Maxima> permet de dvelopper, de factoriser des
  polynmes  coefficients entiers  l'aide des fonctions <verbatim|expand()>
  et <verbatim|factor()>. Les fractions rationnelles peuvent tre rduites au
  mme dnominateur par la fonction <verbatim|ratsimp()>.

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
      Schelter).

      Licensed under the GNU Public License (see file COPYING)

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      expand((x+1)^2+(3*x+5)^3);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D1) <with|color|black|>>27*x<rsup|3>+136*x<rsup|\
        2>+227*x+126>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      factor(%);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D2) <with|color|black|>><left|(>x+2<right|)>*<le\
        ft|(>27*x<rsup|2>+82*x+63<right|)>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C3) <with|color|black|>
    </with>>
      f : ((x+3)^2+5)/(x-5) + x^3/(x^2+1);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D1) <with|color|black|>><frac|<left|(>x+3<right|\
        )><rsup|2>+5|x-5>+<frac|x<rsup|3>|x<rsup|2>+1>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      ratsimp(%);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D2) <with|color|black|>><frac|2*x<rsup|4>+x<rsup\
        |3>+15*x<rsup|2>+6*x+14|x<rsup|3>-5*x<rsup|2>+x-5>>
      </with>

      \;
    </output>

    \;
  </session>

  Remarquer que les calculs sont faits en rel. La fonction <strong|factor()>
  peut avoir un second argument qui est un polynme irrductible. Ceci permet
  d'tendre l'anneau sur lequel on fait la factorisation.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        factor(X^4-1,I^2+1);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><left|(>X-1<right|)>*<\
          left|(>X+1<right|)>*<left|(>X-I<right|)>*<left|(>X+I<right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        Quit();
      </input>

      <\output>
        <\with|color|red>
          The end<with|color|black|>
        </with>
      </output>

      \;
    </session>
  </example>

  On peut calculer le quotient de deux polynmes avec la fonction
  <verbatim|quotient(p1,p2,var);>

  <\example>
    \;

    <\session|maxima|default>
      <\session|maxima|default>
        <\output>
          GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT
          2001

          Licensed under GNU Library General Public License

          Contains Enhancements by W. Schelter

          Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
          Schelter).

          Licensed under the GNU Public License (see file COPYING)

          \;
        </output>

        <\input|<\with|color|red>
          (C1) <with|color|black|>
        </with>>
          QUOTIENT(X^3+3*X^2+3*X+1,X+1,X);
        </input>

        <\output>
          <\with|mode|math>
            <with|formula style|true|<with|mode|text|font
            family|tt|color|red|(D1) <with|color|black|>>X<rsup|2>+2*X+1>
          </with>

          \;
        </output>

        <\input|<\with|color|red>
          (C2) <with|color|black|>
        </with>>
          Quit();
        </input>

        <\output>
          <\with|color|red>
            The end<with|color|black|>
          </with>
        </output>

        \;
      </session>
    </session>
  </example>

  <subsection|Rsolution d'quations>

  <subsubsection|Rsolution de systme polynomial.>

  La fonction <verbatim|ALGSYS([p1,p2,...],[var1,var2,...])> permet de
  rsoudre le systme de <verbatim|p1,p2,...> polynmes avec
  <verbatim|var1,var2,...> variables.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        P1 : X^2+Y^2-1$
      </input>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        P2 : X+Y$
      </input>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        ALGSYS([P1,P2],[X,Y]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>><left|[><left|[>X=-<fr\
          ac|1|<sqrt|2>>,Y=<frac|1|<sqrt|2>><right|]>,<left|[>X=<frac|1|<sqrt\
          |2>>,Y=-<frac|1|<sqrt|2>><right|]><right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  La fonction <verbatim|ALLROOTS(poly)> donne les racines d'un polynme.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        ALLROOTS(X^4-1);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><left|[>X=1.0,X=-1.0,X\
          =1.0*i,X=-1.0*i<right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <\remark>
    Les coefficients ne sont pas des entiers mais des rels. Le calcul se
    fait donc de manire approch.
  </remark>

  <subsubsection|Rsolutions d'quations algbrique>

  La fonction <verbatim|solve(expr,var)> permet de rsoudre des quations
  algbriques.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        SOLVE(COS(X)^3-1,X);
      </input>

      <\output>
        \;

        SOLVE is using arc-trig functions to get a solution.

        Some solutions will be lost.

        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><left|[>X=arccos
          <left|(><frac|<sqrt|3>*i|2>-<frac|1|2><right|)>,X=\<pi\>-arccos
          <left|(><frac|<sqrt|3>*i|2>+<frac|1|2><right|)>,X=0<right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        SOLVE(X^4-1);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>><left|[>X=i,X=-1,X=-i,\
          X=1<right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        SOLVE(COS(X)*SIN(X)-1,X);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>><left|[>sin
          X=<frac|1|cos X><right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        TRIGREDUCE(COS(X)*SIN(X));
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><frac|sin
          <left|(>2*X<right|)>|2>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        SOLVE(%-1,X);
      </input>

      <\output>
        \;

        SOLVE is using arc-trig functions to get a solution.

        Some solutions will be lost.

        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>><left|[>X=<frac|arcsin
          2|2><right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <\remark>
    Le rsultat <verbatim|(D2)> montre que nous obtenons des solutions
    exactes, contrairement au cas prcdent. Le dernier exemple montre que
    selon la forme de l'quation nous obtenons des solutions diffrentes.
  </remark>

  La fonction <verbatim|solve()> peut tre contrle pas certaines variables.
  Par exemple <verbatim|mettre SOLVERADCAN>  TRUE permet d'obtenir de
  meilleurs rsultats avec les fonctions logarithmes et exponentielles.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        SOLVE(5^X-125,X);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><left|[>X=<frac|log
          125|log 5><right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        SOLVERADCAN : TRUE $
      </input>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        ''C1;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>><left|[>X=3<right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <\remark>
    Vous trouverez d'autres variables pour contrler <verbatim|solve()> dans
    le manuel de <strong|Maxima>.
  </remark>

  <subsubsection|Rsolutions d'quations linaires>

  La fonction <verbatim|LINSOLVE([L1,L2,...],[var1,var2,...])> permet de
  rsoudre des systmes linaires.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        L1 : X+Z=Y$
      </input>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        L2 : 2*A*X-Y=2*A^2$
      </input>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        L3 : Y-2*Z=2$
      </input>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        LINSOLVE([L1,L2,L3],[X,Y,Z]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><left|[>X=A+1,Y=2*A,Z=\
          A-1<right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        GLOBALSOLVE : TRUE$
      </input>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        ''C4;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>><left|[>X:A+1,Y:2*A,Z:\
          A-1<right|]>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C7) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <\remark>
    Si variable <verbatim| GLOBALSOLVE> est  TRUE, alors la solution est
    donne comme une affectation aux variables.
  </remark>

  <subsection|Calcul Matriciel.>

  <subsubsection|Dfinition d'une matrice>

  On peut saisir une matrice  l'aide de la fonction
  <verbatim|entermatrix(ligne,colonnes)>.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        m : entermatrix(3,3);
      </input>

      <\output>
        Is the matrix \ 1. Diagonal \ 2. Symmetric \ 3. Antisymmetric \ 4.
        General

        \;
      </output>

      <\input|<\with|color|red>
        Answer 1, 2, 3 or 4 : <with|color|black|>
      </with>>
        4
      </input>

      <\input|<\with|color|red>
        Row 1 Column 1: <with|color|black|>
      </with>>
        1;
      </input>

      <\input|<\with|color|red>
        Row 1 Column 2: <with|color|black|>
      </with>>
        0;
      </input>

      <\input|<\with|color|red>
        Row 1 Column 3: <with|color|black|>
      </with>>
        -1;
      </input>

      <\input|<\with|color|red>
        Row 2 Column 1: <with|color|black|>
      </with>>
        0;
      </input>

      <\input|<\with|color|red>
        Row 2 Column 2: <with|color|black|>
      </with>>
        1;
      </input>

      <\input|<\with|color|red>
        Row 2 Column 3: <with|color|black|>
      </with>>
        a;
      </input>

      <\input|<\with|color|red>
        Row 3 Column 1: <with|color|black|>
      </with>>
        1;
      </input>

      <\input|<\with|color|red>
        Row 3 Column 2: <with|color|black|>
      </with>>
        -1;
      </input>

      <\input|<\with|color|red>
        Row 3 Column 3: <with|color|black|>
      </with>>
        a;
      </input>

      <\output>
        Matrix entered.

        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|-1>>|<row|<cell|0>|\
          <cell|1>|<cell|a>>|<row|<cell|1>|<cell|-1>|<cell|a>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  La fonction <verbatim|MATRIX(L1,L2,...)> permet  partir des listes
  <verbatim|L1,L2,...> de crer une matrice avec comme lignes
  <verbatim|L1,L2,...>

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        L1 : [1,0,-1]$
      </input>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        L2 : [0,1,a]$
      </input>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        L3 : [1,-1,a]$
      </input>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        m : MATRIX(L1,L2,L3);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|-1>>|<row|<cell|0>|\
          <cell|1>|<cell|a>>|<row|<cell|1>|<cell|-1>|<cell|a>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  La fonction <verbatim|DIAGMATRIX(n,X)> permet de crer une matrice
  <with|mode|math|n\<times\>n> diagonale avec <with|mode|math|X> comme
  lment diagonal. La fonction <verbatim|IDENT(n)> permet de crer une
  matrice identit de taille <with|mode|math|n\<times\>n>.

  <\example>
    \;

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        d : DIAGMATRIX(5,COS(X));
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|cos
          X>|<cell|0>|<cell|0>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|cos
          X>|<cell|0>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|cos
          X>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|0>|<cell|cos
          X>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|0>|<cell|0>|<cell|cos
          X>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        IDENT(2);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|0>>|<row|<cell|0>|<cell|1>>>\
          >><right|)>>
        </with>

        \;
      </output>

      <with|color|black|>
    </session>
  </example>

  La fonction <verbatim|GENMATRIX(Tableau,i2,j2,i1,j1)> permet de crer une
  matrice  partir d'un tableau tel que <verbatim|Tableau(i1,j1)> soit le
  premier lment ( en haut a gauche) et <verbatim|Tableau(i2,j2)> soit le
  dernier lment ( en bas  droite). Si <with|mode|math|j1=i1> alors on peut
  omettre <with|mode|math|j1> et si <with|mode|math|j1=i1=1> on peut omettre
  <with|mode|math|i1> et <with|mode|math|j1>.\ 

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        H[I,J]:=1/(I+J+1)$
      </input>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        GENMATRIX(H,4,4);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|<frac|1|3>>|<cell|<frac|1|4>>|<cell|<\
          frac|1|5>>|<cell|<frac|1|6>>>|<row|<cell|<frac|1|4>>|<cell|<frac|1|\
          5>>|<cell|<frac|1|6>>|<cell|<frac|1|7>>>|<row|<cell|<frac|1|5>>|<ce\
          ll|<frac|1|6>>|<cell|<frac|1|7>>|<cell|<frac|1|8>>>|<row|<cell|<fra\
          c|1|6>>|<cell|<frac|1|7>>|<cell|<frac|1|8>>|<cell|<frac|1|9>>>>>><r\
          ight|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <subsubsection|Fonctions lmentaires>

  La fonction <verbatim|DETERMINANT(m)> permet de calculer le dterminant de
  <with|mode|math|m>. La fonction <verbatim|TRANSPOSE(m)> permet de calculer
  sa transpose. <verbatim|TRIANGULARIZE(m)> triangularise <with|mode|math|m>
  qui n'est pas forcment une matrice carre. <verbatim|INVERT(m)> calcule
  l'inverse de la matrice carre <with|mode|math|m>. Si l'on rajoute l'option
  <verbatim|,detout> alors l'inverse du dterminant de <with|mode|math|m> est
  mis en facteur. La fonction <verbatim|RANK(m)> calcule le rang de
  <with|mode|math|m>, dans certain cas cette fonction donne un rsultat faux.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        L1 : [1,0,-1]$
      </input>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        L2 : [0,1,a]$
      </input>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        L3 : [-1,0,a]$
      </input>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        m : MATRIX(L1,L2,L3);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|-1>>|<row|<cell|0>|\
          <cell|1>|<cell|a>>|<row|<cell|-1>|<cell|0>|<cell|a>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        TRANSPOSE(M);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>><with|math font
          family|rm|TRANSPOSE><left|(>M<right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        TRANSPOSE(m);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|-1>>|<row|<cell|0>|\
          <cell|1>|<cell|0>>|<row|<cell|-1>|<cell|a>|<cell|a>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C7) <with|color|black|>
      </with>>
        DETERMINANT(m);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D7) <with|color|black|>>a-1>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C8) <with|color|black|>
      </with>>
        RANK(m);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D8) <with|color|black|>>3>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C9) <with|color|black|>
      </with>>
        INVERT(m);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D9) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|<frac|a|a-1>>|<cell|0>|<cell|<frac|1|\
          a-1>>>|<row|<cell|-<frac|a|a-1>>|<cell|1>|<cell|-<frac|a|a-1>>>|<ro\
          w|<cell|<frac|1|a-1>>|<cell|0>|<cell|<frac|1|a-1>>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C10) <with|color|black|>
      </with>>
        INVERT(m),detout;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D10) <with|color|black|>><frac|<left|(><expand\
          |tabular*|<tformat|<table|<row|<cell|a>|<cell|0>|<cell|1>>|<row|<ce\
          ll|-a>|<cell|a-1>|<cell|-a>>|<row|<cell|1>|<cell|0>|<cell|1>>>>><ri\
          ght|)>|a-1>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C11) <with|color|black|>
      </with>>
        TRIANGULARIZE(m);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D11) <with|color|black|>><left|(><expand|tabul\
          ar*|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|-1>>|<row|<cell|0>\
          |<cell|1>|<cell|a>>|<row|<cell|0>|<cell|0>|<cell|a-1>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C12) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  La fonction <verbatim|ADJOINT(M)> calcule la matrice adjoint de
  <with|mode|math|M>. La fonction <verbatim|ECHELON(M)> chelonne la matrice
  <with|mode|math|M>.\ 

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        L1 : [1,0,-1]$
      </input>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        L2 : [0,1,a]$
      </input>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        L3 : [-1,0,a]$
      </input>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        M : MATRIX(L1,L2,L3);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|-1>>|<row|<cell|0>|\
          <cell|1>|<cell|a>>|<row|<cell|-1>|<cell|0>|<cell|a>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        ADJOINT(M);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|a>|<cell|0>|<cell|1>>|<row|<cell|-a>|\
          <cell|a-1>|<cell|-a>>|<row|<cell|1>|<cell|0>|<cell|1>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        ECHELON(M);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|-1>>|<row|<cell|0>|\
          <cell|1>|<cell|a>>|<row|<cell|0>|<cell|0>|<cell|1>>>>><right|)>>
        </with>

        \;
      </output>

      \;
    </session>
  </example>

  \ 

  <subsubsection|Manipulation de colonnes et de lignes>

  La fonction <verbatim|ADDCOL(M,L1,L2,...)> permet d'ajouter 
  <with|mode|math|M> les colonnes donnes par les listes
  <with|mode|math|L1,L2,\<ldots\>.> La fonction
  <verbatim|ADDROW(M,L1,L2,...)> permet d'ajouter  <with|mode|math|M> les
  lignes donnes par les listes <with|mode|math|L1,L2,\<ldots\>.> La fonction
  <verbatim|COL(M,i)> (resp. <verbatim|ROW(M,i)>) permet d'extraire la
  <with|mode|math|i<rsup|me>> colonne (resp. ligne) de <with|mode|math|M>.\ 

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        m: MATRIX([1,2]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|2>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        ADDCOL(m,[3]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|2>|<cell|3>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        ADDROW(m,[4,5,6]);
      </input>

      <\output>
        Incompatible structure - ADDROW//ADDCOL

        \ -- an error. \ Quitting. \ To debug this try DEBUGMODE(TRUE);)

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        n : ADDROW(m,[4,5]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|2>>|<row|<cell|4>|<cell|5>>>\
          >><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        COL(n,2);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|2>>|<row|<cell|5>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        ROW(n,1);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|1>|<cell|2>>>>><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C7) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <\remark>
    Les fonctions <verbatim|ADDCOL(M,L)> et <verbatim|ADDROW(M,L)> ne
    modifient pas le contenu de <with|mode|math|M>.
  </remark>

  <subsubsection|Valeurs propres et vecteurs propres : le pacage eigen>

  Dans cette rubrique, on va utiliser le package <verbatim|eigen>. Pour cela
  on utilise la commande <verbatim|LOAD(EIGEN)>. Cette bibliothque contient
  des fonctions pour le calcul de vecteurs propres et de valeurs propres. On
  peut obtenir une description de ce package  l'aide de la fonction
  <verbatim|PRINTFILE("eigen.usg")>. Pour le moment, le descriptif ne
  fonctionne que dans <verbatim|xmaxima>.

  \;

  La fonction <verbatim|COLUMNVECTOR(L)> permet de dfinir un vecteur donn
  par la liste <with|mode|math|L>. La fonction <verbatim|INNERPRODUCT(L1,L2)>
  permet de calculer le produit scalaire ou hermitien des vecteurs
  <with|mode|math|L1> et <with|mode|math|L2>.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        LOAD(EIGEN);
      </input>

      <\output>
        Warning - you are redefining the MACSYMA function EIGENVALUES

        Warning - you are redefining the MACSYMA function EIGENVECTORS

        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><with|mode|text|/usr/l\
          ib/maxima-5.6/share/eigen.mc>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        V : COLUMNVECTOR([a,b,c]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|a>>|<row|<cell|b>>|<row|<cell|c>>>>><\
          right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        INNERPRODUCT(V,[1,2,3]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>><left|(><expand|tabula\
          r*|<tformat|<table|<row|<cell|a>|<cell|2*a>|<cell|3*a>>|<row|<cell|\
          b>|<cell|2*b>|<cell|3*b>>|<row|<cell|c>|<cell|2*c>|<cell|3*c>>>>><r\
          ight|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        INNERPRODUCT([a,b,c],[1,2,3]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>>3*c+2*b+a>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <\remark>
    Si les arguments de <verbatim|INNERPRODUCT(V,[a,b,c])> sont un vecteur et
    une liste, alors le rsultat est la matrice forme par les colonnes
    <with|mode|math|<left|(>a.V,b.V,c.V<right|)>>. En fait, cette fonction
    calcule simplement le produit <with|mode|math|<wide|V|\<bar\>>.(a,b,c)>.
  </remark>

  La fonction <verbatim|UNITVECTOR(L)> permet de crer un vecteur unitaire.
  La fonction <verbatim|EIGENVALUES(M)> donne la liste des valeurs propres de
  <with|mode|math|M> et la liste de leur multiplicit. La fonction
  <verbatim|CHARPOLY(M,var)> permet de calculer le polynme charatristique
  de <with|mode|math|M > avec la variable <with|mode|math|var>. La fonction
  <verbatim|EIGENVECTORS(M)> permet de calculer le rsultat de la fonction
  <verbatim|EIGENVALUES()> avec les vecteurs propres en prime.<format|next
  line>

  <\example>
    \;
  </example>

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
      Schelter).

      Licensed under the GNU Public License (see file COPYING)

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      m : MATRIX([1,0,1],[0,1,2],[0,0,2]);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D1) <with|color|black|>><left|(><expand|tabular*\
        |<tformat|<table|<row|<cell|1>|<cell|0>|<cell|1>>|<row|<cell|0>|<cell\
        |1>|<cell|2>>|<row|<cell|0>|<cell|0>|<cell|2>>>>><right|)>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      p : CHARPOLY(m,X);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D2) <with|color|black|>><left|(>1-X<right|)><rsu\
        p|2>*<left|(>2-X<right|)>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C3) <with|color|black|>
    </with>>
      EIGENVALUES(m);
    </input>

    <\output>
      Warning - you are redefining the MACSYMA function EIGENVALUES

      Warning - you are redefining the MACSYMA function EIGENVECTORS

      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D3) <with|color|black|>><left|[><left|[>1,2<righ\
        t|]>,<left|[>2,1<right|]><right|]>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C4) <with|color|black|>
    </with>>
      EIGENVECTORS(m);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D4) <with|color|black|>><left|[><left|[><left|[>\
        1,2<right|]>,<left|[>2,1<right|]><right|]>,<left|[>1,0,0<right|]>,<le\
        ft|[>0,1,0<right|]>,<left|[>1,2,1<right|]><right|]>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C5) <with|color|black|>
    </with>>
      V : UNITVECTOR([1,2,1]);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D5) <with|color|black|>><left|[><frac|1|<sqrt|6>\
        >,<frac|2|<sqrt|6>>,<frac|1|<sqrt|6>><right|]>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C6) <with|color|black|>
    </with>>
      m.V;
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D6) <with|color|black|>><left|(><expand|tabular*\
        |<tformat|<table|<row|<cell|<frac|2|<sqrt|6>>>>|<row|<cell|<frac|4|<s\
        qrt|6>>>>|<row|<cell|<frac|2|<sqrt|6>>>>>>><right|)>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C7) <with|color|black|>
    </with>>
      ''c6/2;
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D7) <with|color|black|>><left|(><expand|tabular*\
        |<tformat|<table|<row|<cell|<frac|1|<sqrt|6>>>>|<row|<cell|<frac|2|<s\
        qrt|6>>>>|<row|<cell|<frac|1|<sqrt|6>>>>>>><right|)>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C8) <with|color|black|>
    </with>>
      \;
    </input>
  </session>

  \;

  <section|Analyse>

  <subsection|Drivation>

  <subsubsection|Calcul de drives>

  La fonction <verbatim|DIFF(f,x)> permet de calculer la drive de
  <with|mode|math|f> par rapport  <with|mode|math|x>. Elle se gnralise en
  <verbatim|DIFF(f(v1,v2,...),v1,n1,v2,n2,...)> o <with|mode|math|f> est une
  fonction des variables <with|mode|math|v1,v2,\<ldots\>> et la drivation
  est d'ordre <with|mode|math|n<rsub|1>> pour <with|mode|math|v<rsub|1>>,
  <with|mode|math|n<rsub|2>> pour <with|mode|math|v<rsub|2>>, etc ... La
  fonction <verbatim|AT(f(X,Y,..),[X=v1,Y=v2,...])> permet de calculer la
  valeur de la drive au point <with|mode|math|(v<rsub|1>,v<rsub|2>,\<ldots\\
  >.)>.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        f : %E^(X^2)*cos(X)+X^2+3*X;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>>e<rsup|X<rsup|2>>*cos
          X+X<rsup|2>+3*X>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        DIFF(f,X);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>>-e<rsup|X<rsup|2>>*sin
          X+2*X*e<rsup|X<rsup|2>>*cos X+2*X+3>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        DIFF(f,X,2);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>>-4*X*e<rsup|X<rsup|2>>\
          *sin X+4*X<rsup|2>*e<rsup|X<rsup|2>>*cos X+e<rsup|X<rsup|2>>*cos
          X+2>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        g : cos(Y)*f+1/Y;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><left|(>e<rsup|X<rsup|\
          2>>*cos X+X<rsup|2>+3*X<right|)>*cos Y+<frac|1|Y>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        DIFF(g,Y);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>>-<left|(>e<rsup|X<rsup\
          |2>>*cos X+X<rsup|2>+3*X<right|)>*sin Y-<frac|1|Y<rsup|2>>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        DIFF(g,X,Y);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>><frac|d<rsup|Y>|d*X<rs\
          up|Y>>*<left|(><left|(>e<rsup|X<rsup|2>>*cos
          X+X<rsup|2>+3*X<right|)>*cos Y+<frac|1|Y><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C7) <with|color|black|>
      </with>>
        DIFF(g,X,1,Y,1);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D7) <with|color|black|>>-<left|(>-e<rsup|X<rsu\
          p|2>>*sin X+2*X*e<rsup|X<rsup|2>>*cos X+2*X+3<right|)>*sin Y>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C8) <with|color|black|>
      </with>>
        AT(''c7,[X=0,Y=%Pi/2]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D8) <with|color|black|>>-3>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C9) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  \ 

  <subsubsection|Equations diffrentielles>

  La fonction <verbatim|'DIFF(f(v1,v2,...),v1,n1,v2,n2,...)> permet d'crire
  les drives de <with|mode|math|f(v<rsub|1>,v<rsub|2,\<ldots\>.>)>.
  Attention, la fonction <with|mode|math|f> doit tre explicitement avec ses
  variables. Ceci permet d'crire des quation diffrentielles. La fonction
  <verbatim|DESOLVE([eq1,eq2,...,eqn],[var1,var2,...varn])> permet dans
  certain cas de rsoudre ces quations. Si elle n'arrive pas, elle retourne
  le rsultat <verbatim|FALSE>.\ 

  La fonction <verbatim|ATVALUE(g(x,y,...), [x=v1,y=v2,...],V)> permet de
  donner la valeur <with|mode|math|V>  la fonction <with|mode|math|g> au
  point <with|mode|math|(v<rsub|1>,v<rsub|2>,\<ldots\>)>. Ceci permet de
  dfinir des conditions initiales.\ 

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        df : 'DIFF(f(x),x);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><frac|d|d*x>*f<left|(>\
          x<right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        eq : df + 3* f(x) = 0;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>><frac|d|d*x>*f<left|(>\
          x<right|)>+3*f<left|(>x<right|)>=0>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        DESOLVE(eq,f(x));
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>>f<left|(>x<right|)>=f<\
          left|(>0<right|)>*e<rsup|-3*x>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        ddf : 'DIFF(f(x),x,2);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><frac|d<rsup|2>|d*x<rs\
          up|2>>*f<left|(>x<right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        eq2 : ddf + 3 *df + f(x) = x^2+1;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>><frac|d<rsup|2>|d*x<rs\
          up|2>>*f<left|(>x<right|)>+3*<left|(><frac|d|d*x>*f<left|(>x<right|\
          )><right|)>+f<left|(>x<right|)>=x<rsup|2>+1>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        DESOLVE(eq2,f(x));
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>>f<left|(>x<right|)>=e<\
          rsup|-<frac|3*x|2>>*<left|(><frac|sinh
          <left|(><frac|<sqrt|5>*x|2><right|)>*<left|(>2*<left|(><left|.><fra\
          c|d|d*x>*f<left|(>x<right|)><right|\|><rsub|x=0>+3*f<left|(>0<right\
          |)>-45<right|)>-3*<left|(>f<left|(>0<right|)>-17<right|)><right|)>|\
          <sqrt|5>>+<left|(>f<left|(>0<right|)>-17<right|)>*cosh
          <left|(><frac|<sqrt|5>*x|2><right|)><right|)>+x<rsup|2>-6*x+17>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C7) <with|color|black|>
      </with>>
        ATVALUE(df,x=0,A);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D7) <with|color|black|>>A>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C8) <with|color|black|>
      </with>>
        ''c6;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D8) <with|color|black|>>f<left|(>x<right|)>=e<\
          rsup|-<frac|3*x|2>>*<left|(><frac|<left|(>2*<left|(>A+3*f<left|(>0<\
          right|)>-45<right|)>-3*<left|(>f<left|(>0<right|)>-17<right|)><righ\
          t|)>*sinh <left|(><frac|<sqrt|5>*x|2><right|)>|<sqrt|5>>+<left|(>f<\
          left|(>0<right|)>-17<right|)>*cosh
          <left|(><frac|<sqrt|5>*x|2><right|)><right|)>+x<rsup|2>-6*x+17>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C9) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <subsubsection|Dveloppement de Taylor et limites.>

  La fonction <verbatim|TAYLOR(f,var,pt,n)> calcule le dveloppement de
  Taylor (ou de Laurent) de <with|mode|math|f(var)> \ au point
  <with|mode|math|pt>  l'ordre <with|mode|math|n>.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        f : (cos(X)-1)/X;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><frac|cos X-1|X>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        TAYLOR(f,X,0,3);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>>-<frac|X|2>+<frac|X<rs\
          up|3>|24>+\<cdots\>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        g : sin(X)/(X^2);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>><frac|sin
          X|X<rsup|2>>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        TAYLOR(g,X,0,2);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><frac|1|X>-<frac|X|6>+\
          \<cdots\>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  La fonction <verbatim|LIMIT(f,X,val,dir)> calcule la limite de
  <with|mode|math|f(X)> quand <with|mode|math|X\<rightarrow\>val>.
  <with|mode|math|dir> peut prendre les valeurs <verbatim|PLUS> ou
  <verbatim|MINUS> selon que <with|mode|math|X> tend vers
  <with|mode|math|val> par valeur suprieure ou infrieure. On a aussi les
  mots <verbatim|INF> pour <with|mode|math|+\<infty\>>, <verbatim|MINF> pour
  <with|mode|math|-\<infty\>> et <verbatim|INFINITY> pour l'infini complexe.
  La fonction <verbatim|TLIMIT(f,X,val,dir)>  la mme fonctionnalit que
  <verbatim|LIMIT()>, mais utilise les sries de Taylor.

  Le rsultat peut tre <verbatim|UND> pour un rsultat indfini et
  <verbatim|IND> pour un rsultat indfini mais born.<with|language|french|>

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        LIMIT((COS(x)+1)/x,x,INF);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>>0>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        LIMIT(1/X,X,0,PLUS);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>>\<infty\>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        LIMIT(1/X,X,0,MINUS);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>>-\<infty\>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        LIMIT(1/X,X,0);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><with|math font
          family|rm|UND>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        LIMIT(COS(Z),Z,INFINITY);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>><with|math font
          family|rm|UND>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        LIMIT(COS(X),X,INF);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>><with|math font
          family|rm|IND>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C7) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <subsubsection|Equations aux drives partielles>

  Le package <strong|ODE> permet de rsoudre des EDP du premier et second
  ordre. La fonction <strong|ODE2(edp,vard,vari)> permet de rsoudre
  l'<em|edp> avec les variables dpendantes <em|vard> et les variables
  indpendantes <em|vari>. Le rsultat, s'il est obtenu, sera donn  l'aide
  des variables dpendantes.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        edp : X^2*'DIFF(Y,X)+3*X*Y=sin(X)/X;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>>X<rsup|2>*<left|(><fra\
          c|d|d*X>*Y<right|)>+3*X*Y=<frac|sin X|X>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        ODE2(edp,Y,X);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>>Y=<frac|<with|math
          font family|rm|%C>-cos X|X<rsup|3>>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        \;
      </input>

      \;
    </session>
  </example>

  Les fonctions <strong|IC1(S1,v1,v2)> et <strong|IC2()> permettent de fixer
  des conditions initiales. La fonction <strong|BC2()> permet de fixer des
  conditions aux limites.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        X^2*'DIFF(Y,X)+3*X*Y=sin(X)/X;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>>X<rsup|2>*<left|(><fra\
          c|d|d*X>*Y<right|)>+3*X*Y=<frac|sin X|X>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        ODE2(%,Y,X);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>>Y=<frac|<with|math
          font family|rm|%C>-cos X|X<rsup|3>>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        IC1(D2,X=%Pi,Y=0);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>>Y=-<frac|cos
          X+1|X<rsup|3>>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        eqd : 'DIFF(Y,X,2)+Y*'DIFF(Y,X)^3=0;
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>><frac|d<rsup|2>|d*X<rs\
          up|2>>*Y+Y*<with|math font family|rm|%DERIVATIVE><rsup|3><left|(><l\
          eft|(>Y,X,1<right|)><right|)>=0>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        ODE2(eqd,Y,X);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>><frac|Y<rsup|3>+6*<wit\
          h|math font family|rm|%K1>*Y|6>=X+<with|math font family|rm|%K2>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        RATSIMP(IC2(D5,X=0,Y=0,'DIFF(Y,X)=2));
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>>-<frac|2*Y<rsup|3>-3*Y\
          |6>=X>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C7) <with|color|black|>
      </with>>
        BC2(D5,X=0,Y=1,X=1,Y=3);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D7) <with|color|black|>><frac|Y<rsup|3>-10*Y|6\
          >=X-<frac|3|2>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C8) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <subsection|Calcul d'intgrales>

  <subsubsection|Calcul de primitives>

  La fonction <verbatim|INTEGRATE(exp,var)> permet de calculer la primitive
  de l'expression <verbatim|exp> en fonction de la variable <verbatim|var>.
  Si <strong|maxima> ne sait pas rpondre, il donne la notation "intgrale"
  de la fonction :

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        INTEGRATE(COS(X)*SIN(X)^4,X);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><frac|sin
          <rsup|5>X|5>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        INTEGRATE(1/(COS(X)+LOG(X)),X);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>><big|int><frac|1|log
          X+cos X><hspace|0.75spc>d*X>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <subsubsection|Calcul d'intgrales dfinies>

  La fonction <verbatim|INTEGRATE(exp,var,var0,var1)> permet de calculer
  l'intgrale de l'expression <verbatim|exp> o la variable <verbatim|var>
  parcourt l'intervalle <with|mode|math|[var0,var1]>. La fonction
  <verbatim|DEFINT(exp,var,var0,var1)> donne le mme rsultat en utilisant
  des mthodes exclusivement symboliques.

  <\example>
    <\session|maxima|default>
      <\session|maxima|default>
        <\output>
          GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT
          2001

          Licensed under GNU Library General Public License

          Contains Enhancements by W. Schelter

          Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
          Schelter).

          Licensed under the GNU Public License (see file COPYING)

          \;
        </output>

        <\input|<\with|color|red>
          (C1) <with|color|black|>
        </with>>
          INTEGRATE(LOG(X),X,1,4);
        </input>

        <\output>
          <\with|mode|math>
            <with|formula style|true|<with|mode|text|font
            family|tt|color|red|(D1) <with|color|black|>>4*log 4-3>
          </with>

          \;
        </output>

        <\input|<\with|color|red>
          (C2) <with|color|black|>
        </with>>
          DEFINT(LOG(X),X,1,4);
        </input>

        <\output>
          <\with|mode|math>
            <with|formula style|true|<with|mode|text|font
            family|tt|color|red|(D2) <with|color|black|>>4*log 4-3>
          </with>

          \;
        </output>

        <\input|<\with|color|red>
          (C3) <with|color|black|>
        </with>>
          INTEGRATE(COS(X)/LOG(X),X,2,4);
        </input>

        <\output>
          <\with|mode|math>
            <with|formula style|true|<with|mode|text|font
            family|tt|color|red|(D3) <with|color|black|>><big|int><rsub|2><rs\
            up|4><frac|cos X|log X><hspace|0.75spc>d*X>
          </with>

          \;
        </output>

        <\input|<\with|color|red>
          (C4) <with|color|black|>
        </with>>
          \;
        </input>
      </session>
    </session>
  </example>

  La fonction <verbatim|ROMBERG(exp,var,var0,var1)> permet de calculer une
  valeur numrique de l'intgrale de l'expression <verbatim|exp> o la
  variable <verbatim|var> parcourt l'intervalle <with|mode|math|[var0,var1]>.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Wed May \ 9 12:02:00 CDT 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Wed May 9 12:01:49 CDT 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        ROMBERG(COS(X)/LOG(X),X,2,4);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>>-1.560726568870818>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  <subsection|Calcul d'intgrales indfinie>s.

  \;

  On peut dfinir des bornes infinies par <verbatim|INF> pour
  <with|mode|math|+\<infty\>> et <verbatim|MINF> pour
  <with|mode|math|-\<infty\>>.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Fri Dec \ 7 15:30:59 CST 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Fri Dec 7 15:30:47 CST 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        INTEGRATE(EXP(-X^2),X,MINF,INF);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>><sqrt|\<pi\>>>
        </with>

        \;
      </output>

      \;
    </session>
  </example>

  <subsection|Calcul d'intgrales  paramtres.>

  \;

  Il est possible de calculer des intgrales  paramtres. Il se peut alors
  que <strong|Maxima> demande le signe de certaines expressions. Les rponses
  possibles sont <verbatim|POS;,> <verbatim|NEG;> ou <verbatim|ZERO;>.

  <\example>
    \;
  </example>

  <postscript|intergrale.ps||||||>

  <section|Graphismes>

  <subsection|Traages de courbes>

  La fonction <verbatim|PLOT2D([exp1,exp2,...],range,opts);> permet de tracer
  des courbes.

  <\example>
    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.4.0) Fri Dec \ 7 15:30:59 CST 2001

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.6 Fri Dec 7 15:30:47 CST 2001 (with enhancements by W.
        Schelter).

        Licensed under the GNU Public License (see file COPYING)

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        PLOT2D(SIN(x),[x,-5,5]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>>0>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  Voici le rsultat :

  <postscript|plot2d.ps||||||>

  <subsection|Traages de surfaces>

  La commande <verbatim|PLOT3d(expr,xrange,yrange,opts)> permet de tracer des
  surfaces.

  <\example>
    \;
  </example>

  La commande\ 

  <\verbatim>
    <strong|plot3d([cos(x)*(3+y*cos(x/2)),sin(x)*(3+y*cos(x/2)),y*sin(x/2)],[\
    x,-%Pi,%Pi],[y,-1,1],['grid,50,15]);>

    permet de tracer un anneau de mobeus :
  </verbatim>

  \;

  <postscript|mobeus.ps||||||>

  \;

  <subsection|Options de traages>

  Le dernier argument des fonctions <verbatim|PLOT2D> et <verbatim|PLOT3D>
  permet de donner des options pour le traage des courbes ou des surfaces.
  En voici les principales options disponibles :

  <\expand|itemize-minus>
    <item><verbatim|[PLOT_FORMAT,><em|\<less\>format\<gtr\>><verbatim|]> ou
    <em|\<less\>format\<gtr\>> dfinit le format de sortie comme
    <verbatim|OPENMATH, GNUPLOT, PS >et <verbatim|GEOMVIEW>.

    <item><verbatim|[RUN_VIEWVER,TRUE]> permet le lancement d'un
    visualisateur ( par exemple <em|gv> pour l'option
    <verbatim|[PLOT_FORMAT,PS]>), si l'option est  <verbatim|FALSE>, un
    fichier de donnes est produit.

    <item><verbatim|[GRID,30,30]> dfinie un maillage pour <verbatim|PLOT3D>
    de 30 points pour l'axe X et 30 points pour l'axe Y.

    <item><verbatim|[COLOUR_Z,false]> permet d'obtenir une sortie noir et
    blanc pour le format <verbatim|PS>.

    \;

    \;

    \;
  </expand>

  La fonction <verbatim|SET_PLOT_OPTION(options)> permet de dfinir les
  options par dfaut.
</body>

<\initial>
  <\collection>
    <associate|preamble|false>
    <associate|odd page margin|30mm>
    <associate|paragraph width|150mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|reduction page bottom margin|15mm>
    <associate|page type|a4>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|french>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-30|<tuple|5.4|21>>
    <associate|toc-10|<tuple|4.1|5>>
    <associate|toc-20|<tuple|5|15>>
    <associate|toc-11|<tuple|4.2|6>>
    <associate|toc-21|<tuple|5.1|15>>
    <associate|toc-31|<tuple|6|21>>
    <associate|toc-22|<tuple|5.1.1|15>>
    <associate|toc-12|<tuple|4.2.1|6>>
    <associate|toc-32|<tuple|6.1|21>>
    <associate|toc-33|<tuple|6.2|22>>
    <associate|toc-23|<tuple|5.1.2|16>>
    <associate|toc-13|<tuple|4.2.2|7>>
    <associate|toc-34|<tuple|6.3|23>>
    <associate|toc-14|<tuple|4.2.3|8>>
    <associate|toc-24|<tuple|5.1.3|17>>
    <associate|toc-35|<tuple|6.3|23>>
    <associate|toc-15|<tuple|4.3|9>>
    <associate|toc-25|<tuple|5.1.4|18>>
    <associate|toc-36|<tuple|6.3|?>>
    <associate|toc-26|<tuple|5.2|19>>
    <associate|toc-16|<tuple|4.3.1|9>>
    <associate|toc-17|<tuple|4.3.2|11>>
    <associate|toc-27|<tuple|5.2.1|19>>
    <associate|toc-18|<tuple|4.3.3|12>>
    <associate|toc-28|<tuple|5.2.2|20>>
    <associate|toc-19|<tuple|4.3.4|13>>
    <associate|toc-29|<tuple|5.3|20>>
    <associate|toc-1|<tuple|1|1>>
    <associate|toc-2|<tuple|1.1|1>>
    <associate|toc-3|<tuple|1.2|1>>
    <associate|toc-4|<tuple|2|2>>
    <associate|toc-5|<tuple|2.1|2>>
    <associate|toc-6|<tuple|2.2|3>>
    <associate|toc-7|<tuple|2|3>>
    <associate|toc-8|<tuple|3|4>>
    <associate|toc-9|<tuple|4|5>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|1<space|2spc>Introduction><value|toc-dots><pageref|\
      toc-1><vspace|0.5fn>

      1.1<space|2spc>Fonctionnalits<value|toc-dots><pageref|toc-2>

      1.2<space|2spc>Excution de Maxima.<value|toc-dots><pageref|toc-3>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|2<space|2spc>Gnralits><value|toc-dots><pageref|t\
      oc-4><vspace|0.5fn>

      2.1<space|2spc>Obtenir de l'aide.<value|toc-dots><pageref|toc-5>

      2.2<space|2spc>Principes de base.<value|toc-dots><pageref|toc-6>

      <with|left margin|<quote|6fn>|font size|<quote|0.84>|<value|toc-dots><p\
      ageref|toc-7>>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|3<space|2spc>Arithmetique><value|toc-dots><pageref|\
      toc-8><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|4<space|2spc>Algbre><value|toc-dots><pageref|toc-9\
      ><vspace|0.5fn>

      4.1<space|2spc>Manipulation de polynmes et de fractions
      rationnelles<value|toc-dots><pageref|toc-10>

      4.2<space|2spc>Rsolution d'quations<value|toc-dots><pageref|toc-11>

      <with|left margin|<quote|1.5fn>|4.2.1<space|2spc>Rsolution de systme
      polynomial.<value|toc-dots><pageref|toc-12>>

      <with|left margin|<quote|1.5fn>|4.2.2<space|2spc>Rsolutions
      d'quations algbrique<value|toc-dots><pageref|toc-13>>

      <with|left margin|<quote|1.5fn>|4.2.3<space|2spc>Rsolutions
      d'quations linaires<value|toc-dots><pageref|toc-14>>

      4.3<space|2spc>Calcul Matriciel.<value|toc-dots><pageref|toc-15>

      <with|left margin|<quote|1.5fn>|4.3.1<space|2spc>Dfinition d'une
      matrice<value|toc-dots><pageref|toc-16>>

      <with|left margin|<quote|1.5fn>|4.3.2<space|2spc>Fonctions
      lmentaires<value|toc-dots><pageref|toc-17>>

      <with|left margin|<quote|1.5fn>|4.3.3<space|2spc>Manipulation de
      colonnes et de lignes<value|toc-dots><pageref|toc-18>>

      <with|left margin|<quote|1.5fn>|4.3.4<space|2spc>Valeurs propres et
      vecteurs propres : le pacage eigen<value|toc-dots><pageref|toc-19>>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|5<space|2spc>Analyse><value|toc-dots><pageref|toc-2\
      0><vspace|0.5fn>

      5.1<space|2spc>Drivation<value|toc-dots><pageref|toc-21>

      <with|left margin|<quote|1.5fn>|5.1.1<space|2spc>Calcul de
      drives<value|toc-dots><pageref|toc-22>>

      <with|left margin|<quote|1.5fn>|5.1.2<space|2spc>Equations
      diffrentielles<value|toc-dots><pageref|toc-23>>

      <with|left margin|<quote|1.5fn>|5.1.3<space|2spc>Dveloppement de
      Taylor et limites.<value|toc-dots><pageref|toc-24>>

      <with|left margin|<quote|1.5fn>|5.1.4<space|2spc>Equations aux drives
      partielles<value|toc-dots><pageref|toc-25>>

      5.2<space|2spc>Calcul d'intgrales<value|toc-dots><pageref|toc-26>

      <with|left margin|<quote|1.5fn>|5.2.1<space|2spc>Calcul de
      primitives<value|toc-dots><pageref|toc-27>>

      <with|left margin|<quote|1.5fn>|5.2.2<space|2spc>Calcul d'intgrales
      dfinies<value|toc-dots><pageref|toc-28>>

      5.3<space|2spc>Calcul d'intgrales indfinie<value|toc-dots><pageref|to\
      c-29>

      5.4<space|2spc>Calcul d'intgrales 
      paramtres.<value|toc-dots><pageref|toc-30>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|6<space|2spc>Graphismes><value|toc-dots><pageref|to\
      c-31><vspace|0.5fn>

      6.1<space|2spc>Traages de courbes<value|toc-dots><pageref|toc-32>

      6.2<space|2spc>Traages de surfaces<value|toc-dots><pageref|toc-33>

      6.3<space|2spc>Options de traages<value|toc-dots><pageref|toc-34>
    </associate>
  </collection>
</auxiliary>
